Bug 585317 - After remoting to Win7, keyboard does not unlock VM
After remoting to Win7, keyboard does not unlock VM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tsclient (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Brown
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 13:12 EDT by Douglas Whitfield
Modified: 2010-12-03 10:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:31:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Whitfield 2010-04-23 13:12:47 EDT
Description of problem: If I remote desktop to a Win7x86 VM sometimes my keyboard does not function


Version-Release number of selected component (if applicable):
2.0.2-5.fc12 (x86_64)

How reproducible:
not very

Steps to Reproduce:
Sadly, it's not very reproducible.  Works sometimes.
  
Actual results:
keyboard is not picked up by VirtualBox.  Aka, I cannot type.

Expected results:
keyboard works

Additional info:
I don't know if this is a tsclient issue or a VirtualBox issue or a Win7 issue since it only happens sometimes.  If it continues to happen, I may file a bug with VBox too.  I'm not using the VBox from the repos, but rather the ones from the Oracle site.  I actually have the problem sometimes when not using tsclient, so really it seems unlikely that the problem is in tsclient, but since tsclient doesn't do the new versions of RDP, I don't know how Win7 deals with it.  I also know there are some other keyboard issues with tsclient, so maybe they are all tied together.

If there are any logs that would be useful, let me know.
Comment 1 Christopher Brown 2010-07-04 12:39:21 EDT
Hi,

Thanks for the bug report.

I am having trouble reproducing this issue.

Do you have access to a Windows 7 box not using Virtualbox to test this?
Have you installed the Additions package in Virtualbox?

Thanks
Comment 2 Bug Zapper 2010-11-03 12:27:57 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 10:31:40 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.